/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.anl.aps.dm.portal.model.entities;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;

/**
 *
 * @author sveseli
 */
@Embeddable
public class UserExperimentRolePK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Column(name = "user_id")
    private int userId;
    @Basic(optional = false)
    @NotNull
    @Column(name = "experiment_id")
    private int experimentId;
    @Basic(optional = false)
    @NotNull
    @Column(name = "role_type_id")
    private int roleTypeId;

    public UserExperimentRolePK() {
    }

    public UserExperimentRolePK(int userId, int experimentId, int roleTypeId) {
        this.userId = userId;
        this.experimentId = experimentId;
        this.roleTypeId = roleTypeId;
    }

    public int getUserId() {
        return userId;
    }

    public void setUserId(int userId) {
        this.userId = userId;
    }

    public int getExperimentId() {
        return experimentId;
    }

    public void setExperimentId(int experimentId) {
        this.experimentId = experimentId;
    }

    public int getRoleTypeId() {
        return roleTypeId;
    }

    public void setRoleTypeId(int roleTypeId) {
        this.roleTypeId = roleTypeId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) userId;
        hash += (int) experimentId;
        hash += (int) roleTypeId;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UserExperimentRolePK)) {
            return false;
        }
        UserExperimentRolePK other = (UserExperimentRolePK) object;
        if (this.userId != other.userId) {
            return false;
        }
        if (this.experimentId != other.experimentId) {
            return false;
        }
        return this.roleTypeId == other.roleTypeId;
    }

    @Override
    public String toString() {
        return "gov.anl.aps.dm.portal.model.entities2.UserExperimentRolePK[ userId=" + userId + ", experimentId=" + experimentId + ", roleTypeId=" + roleTypeId + " ]";
    }
    
}
