#!/usr/bin/env python


# User Object Class
class UserInfo:
    def __init__(self, badge, firstName, id, lastName, email=None, lastUpdate=None, username=None, isLocalUser=None):
        self.badge = badge
        if email == None:
            self.email = ''
        else:
            self.email = email
        self.firstName = firstName
        self.id = id
        self.isLocalUser = isLocalUser
        self.lastName = lastName
        self.lastUpdate = lastUpdate
        self.username = username

    def getBadge(self):
        return self.badge

    def getEmail(self):
        return self.email

    def getFirstName(self):
        return self.firstName

    def getID(self):
        return self.id

    def getIsLocalUser(self):
        return self.isLocalUser

    def getLastName(self):
        return self.lastName

    def getLastUpdate(self):
        return self.lastUpdate

    def getUsername(self):
        return self.username

