#!/usr/bin/env python

from dm.common.db.entities.dmDbEntity import DmDbEntity
from dm.common.objects import apsUserInfo

class ApsUserInfo(DmDbEntity):

    mappedColumnDict = { 
        'badge_no' : 'badgeNumber',
        'first_name' : 'firstName',
        'middle_name' : 'middleName',
        'last_name' : 'lastName',
        'last_change_date' : 'lastChangeDate',
        'pwd_hash_value' : 'passwordHashValue',
        'is_usr_not_anl_emp' : 'isUserNotAnlEmployee',
    }
    dmObjectClass = apsUserInfo.ApsUserInfo

    def __init__(self, **kwargs):
        DmDbEntity.__init__(self, **kwargs)



