#!/usr/bin/env python

#
# DB error class.
#

#######################################################################

from dm.common.constants import dmStatus 
from dm.common.exceptions.dmException import DmException

#######################################################################

class DbError(DmException):
    def __init__ (self, error='', **kwargs):
        DmException.__init__(self, error, dmStatus.DM_DB_ERROR, **kwargs)
