#!/usr/bin/env python

#
# Object not found error class.
#

#######################################################################

from dm.common.constants import dmStatus 
from dm.common.exceptions.dmException import DmException

#######################################################################

class ObjectNotFound(DmException):
    def __init__ (self, error='', **kwargs):
        DmException.__init__(self, error, dmStatus.DM_INVALID_OBJECT_STATE, **kwargs)
