#!/usr/bin/env python

from dmObject import DmObject

class AuthorizationPrincipal(DmObject):

    def __init__(self, dict={}, name=None, token=None, userInfo={}):
        DmObject.__init__(self, dict)
        if name is not None:
            self['name'] = name
        if token is not None:
            self['token'] = token
        if userInfo is not None and len(userInfo):
            self['userInfo'] = userInfo

    def getName(self):
        return self.get('name')

    def getAuthenticationToken(self):
        return self.get('token')

    def getToken(self):
        return self.get('token')

    def setSessionRole(self, role):
        self['sessionRole'] = role

    def getSessionRole(self):
        return self.get('sessionRole')

    def setUserInfo(self, userInfo):
        self['userInfo'] = userInfo

    def getUserInfo(self):
        return self.get('userInfo')

    def setUserSystemRoleDict(self, userSystemRoleDict):
        self['userSystemRoleDict'] = userSystemRoleDict

    def getUserSystemRoleDict(self):
        return self.get('userSystemRoleDict')

    def setUserExperimentRoleDict(self, userExperimentRoleDict):
        self['userExperimentRoleDict'] = userExperimentRoleDict

    def getUserExperimentRoleDict(self):
        return self.get('userExperimentRoleDict')

