#!/usr/bin/env python

#######################################################################

# Sessions can have either admin or user role
DM_ADMIN_SESSION_ROLE = 'Admin'
DM_USER_SESSION_ROLE = 'User'

# System and experiment roles are used for fine grained authorization
#    - "DM ADMIN" system role corresponds to "DM ADMIN" session role
#    - all other system/experiment roles correspond to "DM USER" session role
DM_ADMIN_SYSTEM_ROLE = 'Administrator'
DM_ADMIN_SYSTEM_ROLE_ID = 1

DM_MANAGER_SYSTEM_ROLE = 'Manager'
DM_MANAGER_SYSTEM_ROLE_ID = 2

DM_PI_EXPERIMENT_ROLE = 'PI'
DM_PI_EXPERIMENT_ROLE_ID = 1

DM_USER_EXPERIMENT_ROLE = 'User'
DM_USER_EXPERIMENT_ROLE_ID = 2


