#!/usr/bin/env python

import os
import uuid
import time

from dm.common.objects.processingJob import ProcessingJob
from dm.common.utility.objectTracker import ObjectTracker

class ProcessingJobTracker(ObjectTracker):

    # Cache configuration
    objectClass = ProcessingJob
    cacheSize = 100

    def __init__(self, *args, **kwargs):
        ObjectTracker.__init__(self, args, kwargs)


####################################################################
# Testing

if __name__ == '__main__':
    tracker = ProcessingJobTracker.getInstance()
    print tracker



